Bug 1162347 - [RFE] uploading a directory does not preserve directory hierarchy
Summary: [RFE] uploading a directory does not preserve directory hierarchy
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: iso-support
Version: 2.4.3
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-10 21:33 UTC by Justin Garrison
Modified: 2015-02-28 23:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:20:20 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 269 0 None None None Never

Description Justin Garrison 2014-11-10 21:33:50 UTC
Description of problem: When uploading a directory to an iso repo using the -d flag the files inside the directory are flattened into a single folder and folder hierarchy is not preserved.


Version-Release number of selected component (if applicable): 2.4.3


How reproducible: always


Steps to Reproduce:
1. Create iso repo
2. Upload files using -d flag

Actual results: All files are put at the root of the /pulp/isos/repo/ folder


Expected results: Folder structure would be preserved


Additional info:

Comment 1 Michael Hrivnak 2014-11-17 16:08:51 UTC
Can you elaborate on why it would be helpful to preserve the directory hierarchy?

Comment 2 Justin Garrison 2014-11-17 16:27:59 UTC
I want to host extracted iso images in pulp (http) for PXE boot. When the iso is extracted it has isolinux/ and images/ folders. When importing that folder into pulp it removes the directories and recursively publishes each file at the root of the repo url. That obviously breaks pxe booting which automatically looks for those folders.

Comment 3 Michael Hrivnak 2014-11-17 17:22:19 UTC
For now, you might be able to use the pulp_rpm yum plugins to manage these files. The importer and distributor will handle all files required for kickstart, including those in isolinux/ and images/.

Otherwise, this will likely be addressed by a new "file plugin" that we intend to implement in the future.

Comment 4 Brian Bouterse 2015-02-19 01:20:20 UTC
Moved to https://pulp.plan.io/issues/269


Note You need to log in before you can comment on or make changes to this bug.